/*	License
 * 		inside EU: EUPL
 * 		outside EU: GPL or EUPL
 *  The program comes AS IS and without any warranty unless required by law
 *  (C) 2012 thecodemonkey
 */

package gui.settings.dialog.component;


import javax.swing.DefaultComboBoxModel;
import javax.swing.JComboBox;

import settings.Settings;


public class ComboBoxSettingsComponent<V> extends SingleSettingsComponent {

	protected JComboBox<V> cb;
	
	public ComboBoxSettingsComponent(String settingsName) {
		super(settingsName);
		cb=new JComboBox<>();
	}

	@Override
	public JComboBox<V> getComponent() {
		return cb;
	}
	
	public DefaultComboBoxModel<V> getModel() {
		return (DefaultComboBoxModel<V>) cb.getModel();
	}

	@Override
	public void saveSettings(Settings s) {
		s.set(settingsName, cb.getSelectedIndex());
	}

	@Override
	public void loadSettings(Settings s) {
		int index=s.getInt(settingsName);
		
		if (index>=0&&index<cb.getModel().getSize())
			cb.setSelectedIndex(index);
	}

	@SuppressWarnings("unchecked")
	public V getSelectedItem() {
		return (V) getModel().getSelectedItem();
	}
	
	public String getSelectedValue(){
		return getModel().getSelectedItem().toString();
	}
	
	public void removeSelectedItem() {
		getModel().removeElementAt(cb.getSelectedIndex());
	}
}
