/*	License
 * 		inside EU: EUPL
 * 		outside EU: GPL or EUPL
 *  The program comes AS IS and without any warranty unless required by law
 *  (C) 2012 thecodemonkey
 */

package gui.settings.dialog.component;

import javax.swing.JSpinner;

import settings.Settings;


public class SpinnerSettingsComponent extends SingleSettingsComponent {

	private JSpinner sp;
	
	public SpinnerSettingsComponent(String settingsName) {
		super(settingsName);
		sp = new JSpinner();
	}

	@Override
	public void saveSettings(Settings s) {
		s.set(settingsName, (int)sp.getModel().getValue());
	}

	@Override
	public void loadSettings(Settings s) {
		sp.setValue(s.getInt(settingsName));
	}

	@Override
	public JSpinner getComponent() {
		return sp;
	}

}
