package gui.settings.dialog.page;

import java.awt.BorderLayout;
import java.util.LinkedList;
import java.util.List;

import javax.swing.JTabbedPane;

import core.io.Application;

import gui.resource.ResourceManager;
import settings.Settings;

public class MultiTabSettingsPage extends SettingsPage{
	private static final long serialVersionUID = -10577815691730029L;

	protected JTabbedPane tabs;
	protected List<SettingsPage> pages;
	
	public MultiTabSettingsPage(String entry, Application app) {
		super(entry, app);
	}
	
	public void addPage(SettingsPage p) {
		tabs.addTab(p.getEntry(), p);
		pages.add(p);
	}
	
	@Override
	protected void setBorder() {
	}
	
	@Override
	public void save() {
		for (SettingsPage p:pages)
			p.save();
	}
	
	@Override
	public void load() {
		for (SettingsPage p:pages)
			p.load();
	}

	@Override
	protected void createComponentGroups(Settings settings,ResourceManager rm) {
		tabs=new JTabbedPane();
		pages=new LinkedList<>();
		setLayout(new BorderLayout());
		add(tabs,BorderLayout.CENTER);
	}

}
