/*	License
 * 		inside EU: EUPL
 * 		outside EU: GPL or EUPL
 *  The program comes AS IS and without any warranty unless required by law
 *  (C) 2012 thecodemonkey
 */

package net.util;
import static shoshone.httpclient.UrlUtil.*;

public class LinkExtractorJS extends LinkExtractor{

	private static LinkExtractor linkExtractor= new LinkExtractorJS();
	
	public static LinkExtractor getLinkExtractor() {
		return linkExtractor;
	}
	
	private LinkExtractorJS() {
		
	}
	
	@Override
	public String getLink(String url, String html,String[] args) {
		String key=args[0];
		String delim=String.valueOf(delimiter);
		if (args.length==2)delim =args[1];
		
		String s=preFilterHtml(html);
		
		int k=s.indexOf(key);
		
		if (k==-1) return null;
		
		int start=s.lastIndexOf(delim, k)+delim.length();
		
		if (start==-1) return null;
		
		int end=s.indexOf(delim, start);
		
		return URLDecoder.decode(getAbsolutePath(s.substring(start, end), url));
	}

	@Override
	public String[] getArgNames() {
		return new String[]{"key","start","end"};
	}

}
